Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.framework
Interface Director

All Known Implementing Classes:
  Manager

public interface Director

A Director is an actor manager. Actors refer to their director to get the actor associated to the respective role. This is useful to decouple the acting role from the actual class performing that part in the play.

Version:
  $Revision: 1.5 $ $Date: 2000/02/13 18:29:22 $
Author:
  Stefano Mazzocchi

Method Summary
`java.lang.Object` | `getActor(java.lang.String role)` Get the actor currently playing the given role.
`java.util.Enumeration` | `getRoles()` Get the roles currently set.
`void` | `setRole(java.lang.String role, java.lang.Object actor)` Set the actor for the role.

Method Detail

### getActor

    public java.lang.Object getActor(java.lang.String role)

  Get the actor currently playing the given role.

### setRole

    public void setRole(java.lang.String role,
                        java.lang.Object actor)

  Set the actor for the role.

### getRoles

    public java.util.Enumeration getRoles()

  Get the roles currently set.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.